MobileInsight Apptainer
=======================

Single launch binary for
[MobileInsight](https://github.com/mobile-insight/mobileinsight-core) in an
Ubuntu 22.04 SIF portable container.

Dependencies
------------

Either one of the following dependencies is needed to run or build SIF images:

- [Apptainer](https://apptainer.org/)
- [Singularity](https://sylabs.io/singularity/)

To use the `make run` command, the overlay Linux kernel module must also be
available on the system. This allows you to make changes to the SIF file using
an overlay filesystem.

Usage
-----

```
# Start the log viewer
$ ./mobileinsight.sif mi-gui

# Start a python3 shell with MobileInsight available
$ ./mobileinsight.sif python3 "$PYTHON_ARGS"

# Start a bash shell inside the container
$ ./mobileinsight.sif bash

# Only available in spark version
#
# Start a pyspark interpreter
$ ./mobileinsight-spark.sif pyspark
```

Examples are stored in /opt/mobileinsight-examples.

Build
-----

Run `make mobileinsight.sif` or `make mobileinsight-spark.sif` to build the
corresponding apptainer image. The spark version includes both `mobileinsight`
along with `pyspark` for distributed log processing.
